log4shib::Win32DebugAppender(3)

NAME
log4shib::Win32DebugAppender - Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems.

SYNOPSIS

#include <Win32DebugAppender.hh>

Inherits log4shib::LayoutAppender.

  Public Member Functions
Win32DebugAppender (const std::string &name)
Constructor.
virtual ~Win32DebugAppender ()
Destructor.
virtual void close ()
Close method.

  Protected Member Functions
virtual void _append (const LoggingEvent &event)
Method that does the actual work.

  Additional Inherited Members

Detailed Description

Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems. This is useful for users of MSVC and Borland because the log messages will show up in the debugger window.
 NB: This class is only available on Win32 platforms.

Constructor & Destructor Documentation

  log4shib::Win32DebugAppender::Win32DebugAppender (const std::string & name)

Constructor.

Parameters
    name Name used by the base classes only.

  log4shib::Win32DebugAppender::~Win32DebugAppender () [virtual]

Destructor.

Member Function Documentation

  void log4shib::Win32DebugAppender::_append (const LoggingEvent & event) [protected], [virtual]

Method that does the actual work. In this case, it simply sets up the layout and calls the OutputDebugString API.

Parameters
    event Event for which we are logging.

Implements log4shib::AppenderSkeleton.

  void log4shib::Win32DebugAppender::close () [virtual]

Close method. This is called by the framework, but there is nothing to do for the OutputDebugString API, so it simply returns.

Implements log4shib::AppenderSkeleton.

Author

Generated automatically by Doxygen for log4shib from the source code.